#region License
/* Copyright 2004 James F. Bellinger
 * 
 * This software is provided 'as-is', without any express or implied
 * warranty. In no event will the authors be held liable for any damages
 * arising from the use of this software.
 * 
 * Permission is granted to anyone to use this software for any purpose,
 * including commercial applications, and to alter it and redestribute it
 * freely, subject to the following restrictions:
 * 
 * 1. The origin of this software must not be misrepresented; you must
 * not claim that you wrote the original software. If you use this software
 * in a product, an acknowledgement in the product documentation would be
 * appreciated but is not required.
 * 
 * 2. Altered source versions must be plainly marked as such, and must
 * not be misrepresented as being the original software.
 * 
 * 3. This notice may not be removed or altered from any source
 * distribution. */
#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Reflection;
using System.Windows.Forms;

namespace Chatter
{
	public class About: Form
	{
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label versionLabel;
		private System.Windows.Forms.Button closeButton;
		private System.Windows.Forms.LinkLabel linkHomepage;
		private System.Windows.Forms.LinkLabel linkEmail;
		private System.ComponentModel.Container components = null;

		public About()
		{
			InitializeComponent();
		}

		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				if (components != null)
				{
					components.Dispose();
				}
			}

			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.closeButton = new System.Windows.Forms.Button();
            this.label2 = new System.Windows.Forms.Label();
            this.label1 = new System.Windows.Forms.Label();
            this.label3 = new System.Windows.Forms.Label();
            this.linkHomepage = new System.Windows.Forms.LinkLabel();
            this.versionLabel = new System.Windows.Forms.Label();
            this.linkEmail = new System.Windows.Forms.LinkLabel();
            this.SuspendLayout();
            // 
            // closeButton
            // 
            this.closeButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.closeButton.Location = new System.Drawing.Point(213, 128);
            this.closeButton.Name = "closeButton";
            this.closeButton.Size = new System.Drawing.Size(85, 26);
            this.closeButton.TabIndex = 0;
            this.closeButton.Text = "OK";
            this.closeButton.Click += new System.EventHandler(this.closeButton_Click);
            // 
            // label2
            // 
            this.label2.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label2.Location = new System.Drawing.Point(8, 9);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(94, 17);
            this.label2.TabIndex = 1;
            this.label2.Text = "Chatter";
            // 
            // label1
            // 
            this.label1.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.label1.Location = new System.Drawing.Point(8, 26);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(145, 16);
            this.label1.TabIndex = 3;
            this.label1.Text = "Internet Relay Chat client";
            // 
            // label3
            // 
            this.label3.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.label3.Location = new System.Drawing.Point(8, 77);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(197, 17);
            this.label3.TabIndex = 4;
            this.label3.Text = "Copyright 2005, 2013 James F. Bellinger";
            // 
            // linkHomepage
            // 
            this.linkHomepage.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.linkHomepage.Location = new System.Drawing.Point(8, 94);
            this.linkHomepage.Name = "linkHomepage";
            this.linkHomepage.Size = new System.Drawing.Size(197, 17);
            this.linkHomepage.TabIndex = 5;
            this.linkHomepage.TabStop = true;
            this.linkHomepage.Text = "Visit the Chatter homepage";
            this.linkHomepage.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkHomepage_LinkClicked);
            // 
            // versionLabel
            // 
            this.versionLabel.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.versionLabel.Location = new System.Drawing.Point(8, 42);
            this.versionLabel.Name = "versionLabel";
            this.versionLabel.Size = new System.Drawing.Size(111, 18);
            this.versionLabel.TabIndex = 2;
            this.versionLabel.Text = "Version 1.0.0.0";
            // 
            // linkEmail
            // 
            this.linkEmail.FlatStyle = System.Windows.Forms.FlatStyle.System;
            this.linkEmail.Location = new System.Drawing.Point(8, 111);
            this.linkEmail.Name = "linkEmail";
            this.linkEmail.Size = new System.Drawing.Size(189, 17);
            this.linkEmail.TabIndex = 6;
            this.linkEmail.TabStop = true;
            this.linkEmail.Text = "Send me an e-mail";
            this.linkEmail.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkEmail_LinkClicked);
            // 
            // About
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(305, 161);
            this.Controls.Add(this.linkEmail);
            this.Controls.Add(this.versionLabel);
            this.Controls.Add(this.linkHomepage);
            this.Controls.Add(this.label3);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.label2);
            this.Controls.Add(this.closeButton);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Name = "About";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "About Chatter";
            this.Load += new System.EventHandler(this.About_Load);
            this.ResumeLayout(false);

		}
		#endregion

		private void About_Load(object sender, EventArgs e)
		{
			versionLabel.Text = "Version " +
				Assembly.GetExecutingAssembly().GetName().Version.ToString();
		}

		private void closeButton_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void OpenURL(string URL)
		{
			try
			{
				System.Diagnostics.Process.Start(URL);
			}
			catch
			{
				MessageBox.Show("Unable to go to the address '" + URL + "'.", "Error",
					MessageBoxButtons.OK, MessageBoxIcon.Stop);
			}
		}

		private void linkHomepage_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			OpenURL("http://www.illusorystudios.com/chatter/");
			linkHomepage.LinkVisited = true;
		}

		private void linkEmail_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			OpenURL("mailto:james@illusorystudios.com");
			linkEmail.LinkVisited = true;
		}
	}
}
